Package org.jfree.layouting.input.style.keys.color

## Class ColorStyleKeys

- java.lang.Object
- - org.jfree.layouting.input.style.keys.color.ColorStyleKeys

-     public final class ColorStyleKeys
      extends java.lang.Object

  Creation-Date: 30.10.2005, 18:47:30
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static StyleKey` | `COLOR` |
    `static StyleKey` | `COLOR_PROFILE` | For now, we do not care about color profiles.
    `static StyleKey` | `OPACITY` | Not sure whether we can implement this one.
    `static StyleKey` | `RENDERING_INTENT` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLOR

          public static final StyleKey COLOR

    - #### OPACITY

          public static final StyleKey OPACITY

      Not sure whether we can implement this one. It is a post-processing operation, and may or may not be supported by the output target.

    - #### COLOR_PROFILE

          public static final StyleKey COLOR_PROFILE

      For now, we do not care about color profiles. This might have to do with me being clueless about the topic, but also with the cost vs. usefullness calculation involved.

    - #### RENDERING_INTENT

          public static final StyleKey RENDERING_INTENT